<!--
 * @Author: 小明丶
 * @Date: 2020-08-17 15:34:17
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-10-12 20:30:01
 * @Description: 
-->
<template>
    <div class="withdrawal-history-page">
        <v-navbar title="提现记录"></v-navbar>
        <div class="history-box">
            <van-list
              offset="50"
              :immediate-check="false"
              v-model="loading"
              :finished="finished"
              :error.sync="error"
              finished-text="没有更多了"
              error-text="加载失败，请稍后再试"
              @load="onLoad"
            >
                <div class="list-item" v-for="(item,index) in list" :key="index">
                    <div class="left">
                        <p>{{item.statusName}}</p>
                        <p>{{item.withdTime | dateFmt(item.withdTime)}}</p>
                    </div>
                    <div class="right">
                        <p>{{item.status==0?'':item.status==1?'':item.status==2?'+':''}}{{item.amount}}</p>
                        <p>{{item.settType=='01'?'银行卡':'支付宝'}}&nbsp;{{item.withdAccount}}</p>
                    </div> 
                </div>
            </van-list>
        </div>
    </div>
</template>
<script>
import dateFmt from "../../../../utils/date";
export default {
    data() {
        return {
            list:[],
            error:false,//加载错误
            loading: false,//加载中
            finished: false,//全部加载完成
            lastId:'',//最后一条Id
        }
    },
    filters: {
      dateFmt(val) {
        return dateFmt(val, "YYYY-MM-DD HH:mm");
      },
    },
    created(){
        this.onLoad()
    },
    methods:{
        onLoad(){
            this.loading = true
            this.$api.tltWalletWithdrawDetails({
                withdrawId:this.lastId
            }).then(res=>{
                if(res.body.items){
                    if(res.body.items.length < 10){
                        this.list = [...this.list,...res.body.items]
                        this.lastId = this.list[this.list.length-1].withdrawId
                        this.loading = false
                        this.finished = true
                    }else{
                        this.list = [...this.list,...res.body.items]
                        this.lastId = this.list[this.list.length-1].withdrawId
                        this.loading = false
                    }
                }else{
                    this.loading = false
                    this.finished = true
                }
            }).catch(err=>{
                this.error = true
            })
        }
    },
    
}
</script>
<style lang="less">
    .withdrawal-history-page{
        &{
            background: #F5F5F7;
            min-height: 100vh;
        }
        .history-box{
            margin-top: 10px;
            box-sizing: border-box;
            padding: 0 17px;
            background: #fff;
            .list-item{
                display: flex;
                border-bottom:1px solid #F1F1F1;
                padding: 16px 0;
                .left{
                    width: 40%;
                    p:nth-of-type(1){
                        margin-bottom: 10px;
                        font-size:14px;
                        font-family:PingFang SC;
                        font-weight:500;
                        color:rgba(51,51,51,1);
                    }
                    p:nth-of-type(2){
                        font-size:12px;
                        font-family:PingFang SC;
                        font-weight:500;
                        color:rgba(153,153,153,1);
                    }
                }
                .right{
                    width: 59%;
                    text-align: right;
                    p:nth-of-type(1){
                        margin-bottom: 10px;
                        font-size:16px;
                        font-family:PingFang SC;
                        font-weight:bold;
                        color:rgba(51,51,51,1);
                    }
                    p:nth-of-type(2){
                        font-size:12px;
                        font-family:PingFang SC;
                        font-weight:500;
                        color:rgba(153,153,153,1);
                    }
                }
            }
            .list-item:last-child{
                border-bottom:0;
            }
        }
    }
</style>